* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-size: 20px;
}
/* Importing the Font Face */
@font-face {
    font-family: 'PressStart2P';
    src: url('fonts/PressStart2P-vaV7.ttf');
}

body {
    height: 100vh;
    width: 100vw;
    display: flex;
    align-items: center;
    justify-content: center;
    font-family: PressStart2P;
    flex-direction: column;
}
/* The main card  */
#wrapper {
    height: 70%;
    width: 30%;
    padding: 1%;
    border-radius: 5px 4rem 5px 5px;
    display: flex;
    flex-direction: column;
    box-sizing: border-box;
    background: linear-gradient(#1e2023, 20%, #47484c);
    box-shadow: 0 0 30px black;
    transition: ease-in-out 1s;
}

#wrapper:hover {
    transform: rotateX(10deg) rotateY(10deg) scale(1.05);
    box-shadow: 0 0 60px rgb(255, 2, 2);
    transition: ease-in-out 0.8s;
}

#main-content {
    height: 95%;
    width: 100%;
    /* border: 2px solid white; */
    /* padding: 1%; */
    border-radius: 0 4rem 0 0;
}

header {
    margin-bottom: 3%;
    padding: 1%;
    box-shadow: 0 0 10px black;
    border-radius: 0 0 2rem 0;
    transition: ease-in-out 1s;
    cursor: pointer;
    user-select: none;
}

header:hover {
    transform: scale(1.03);
    transition: ease-in-out 0.5s;
}

span {
    display: inline-block;
}

span::first-letter {
    color: red;
}

#the-creator {
    display: flex;
    align-items: center;
    justify-content: center;
    color: bisque;
    cursor: none;
}

#the-creator span {
    font-size: 0.7rem;
    cursor: pointer;
    user-select: none;
}

#drop-area {
    display: flex;
    flex-direction: column;
    height: 55%;
    width: 100%;
    border: 3px dashed rgb(255, 255, 255);
    border-radius: 0 4rem 0 0;
    background: linear-gradient(#D41F26, rgb(228, 166, 178));
    justify-content: center;
    align-items: center;
    cursor: pointer;
}

#drop-area img {
    width: 80%;
    height: 80%;
}

#drop-area span {
    font-size: 0.55rem;
}

#wrapper #start-btn,
.auto-btn {
    background-color: transparent;
    margin-bottom: 1%;
    font-family: PressStart2P;
    border-color: red;
    padding: 1%;
    transition: 0.7s ease-in-out;
    border-radius: 5px;
    box-shadow: 0 0 5px black;
}

#start-btn {
    width: 70%;
}

.auto-btn {
    font-size: 0.7rem;
    padding: 2%;
}

.auto-btn-clicked {
    background-color: transparent;
    margin-bottom: 1%;
    font-family: PressStart2P;
    border-color: red;
    padding: 1%;
    transition: 0.8s ease-in-out;
    border-radius: 5px;
    box-shadow: 0 0 20px rgb(231, 25, 25);
    font-size: 0.7rem;
    padding: 2%;
    color: red;
    cursor: pointer;
}

#the-btns {
    display: flex;
    justify-content: space-around;
}

#wrapper #start-btn:hover {
    background-color: #5f4748;
    border-radius: 5px 4rem 5px 5px;
    box-shadow: 0 0 10px red;
    cursor: pointer;
}

#wrapper #start-btn span {
    font-size: 0.7rem;
    color: white;
    cursor: pointer;
}

#duration-control {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 3%;
    color: white;
}

#duration-control label {
    font-size: 0.85rem;
}

#minimum-duration,
#maximum-duration {
    font-family: PressStart2P;
    width: 40%;
    text-align: center;
    font-size: 1rem;
    padding: 0.5%;
    transition: 0.5s ease-in-out;
}

#minimum-duration:hover,
#maximum-duration:hover {
    transform: rotateX(10deg) scale(1.5);
    box-shadow: 0 0 10px rgb(187, 40, 40);
    outline: white;
    border: white;
    border-radius: 0 0 0 0;
}

#minimum-duration:focus,
#maximum-duration:focus {
    outline: white;
    border: white;
}

/* #the-auto-system{
    display: flex;
    justify-content: flex-end;
    margin-top:2%;
}
#the-auto-system span{
    display: flex;
    align-items: center;
    justify-content: center;
    color : white;
    font-size: 0.7rem;
    border: 2px solid black;
    padding: 1.5%;
} */
#drop-label {
    text-align: center;
    max-width: 100%;
    text-overflow: ellipsis;
    display: inline-block;
    overflow: hidden;
    white-space: nowrap;
}

#error-label {
    padding-bottom: 4%;
    font-size: 0.8rem;
    color: #D41F26;
}

#visualizer {
    position : fixed;
    top : 0;
    left : 0;
    width: 100vw;
    height: 100vh;
    z-index: -1;
}
#song-select {
    margin-top: 2%;
    width: 100%;
    font-family: PressStart2P;
    font-size : 0.5rem;
    background-color : transparent;
    color : white;
    border : 1px solid red;
    padding : 2%;
    margin-bottom : 3%;
    cursor : pointer;
    border-radius : 5px;
}
#song-select option{
    background-color : #1e2023;
    color : white;
    font-size: 0.5rem;
}